Plugins
Plugin Get
Get information about a specific plugin.
Get information about a specific plugin.
GET
/plugins/{plugin_instance_id}Authorization
browser storyden-session<token>
In: cookie
Path Parameters
plugin_instance_id*string
Plugin ID.
Format
xidResponse Body
application/json
application/json
curl -X GET "https://loading/api/plugins/cc5lnd2s1s4652adtu50"{
"id": "cc5lnd2s1s4652adtu50",
"added_at": "2019-08-24T14:15:22Z",
"name": "string",
"description": "string",
"version": "string",
"status": {
"active_state": "inactive",
"deactivated_at": "2019-08-24T14:15:22Z"
},
"manifest": {},
"connection": {
"mode": "supervised"
}
}Empty
{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Plugin Delete DELETE
Completely delete a plugin from the instance. This will uninstall the plugin first then remove its binary file from the storage backend. Some plugins may write additional data to the instance, this will not be removed by this operation unless the plugin cleans up after itself.
Plugin Get Configuration GET
Get the current configuration values for a plugin. The shape of the object is defined by the plugin's manifest and should be used to render the current configuration state in the client, using the layout driven by the result of `PluginGetConfigurationSchema` to build a form-like UI.